/* Declaration for error-reporting function.  */

#ifndef _ERROR_H
#define _ERROR_H 1

#ifdef __cplusplus
extern "C" {
#endif

/* Print a message with `fprintf (stderr, FORMAT, ...)';
   if ERRNUM is nonzero, follow it with ": " and strerror (ERRNUM).
   If STATUS is nonzero, terminate the program with `exit (STATUS)'.  */
extern void error (int status, int errnum, const char *format, ...);

#ifdef __cplusplus
}
#endif

#endif /* error.h */
